MANDB(8)

NAMN
mandb - skapa eller uppdatera indexcachar för manualsidor

SYNOPSIS
mandb [-dqsucpt?V] [-C fil] [man-sökväg]
mandb [-dqsut] [-C fil] -f filnamn ...

BESKRIVNING
mandb används för att initiera eller manuellt uppdatera index-databascachar. Cacharna innehåller information relevant för det aktuella tillståndet för systemet av manualsidor och informationen som lagras i dem används av man-db-verktygen för att förbättra deras hastighet och funktionalitet. När ett index skapas eller uppdateras kommer mandb att varna vid felaktiga ROFF .so-begäran, felaktiga filnamn för manualsidor och manualsidor för vilka whatis inte kan tolkas. Om mandb förses med en valfri kolonavgränsad sökväg så kommer detta att åsidosätta den interna sökvägen för hierarkier av manualsidor i systemet, fastställd från information hittad i konfigurationsfilen för man-db.

DATABASCACHAR
mandb kan kompileras med stöd för någon av följande databastyper.
Namn | Typ | Asynk | Filnamn
Berkeley-db | Binärträd | Ja | index.bt
GNU gdbm | Hashad | Ja | index.db
UNIX ndbm | Hashad | Nej | index.(dir|pag)
De databastyper som har stöd för asynkrona uppdateringar tillhandahåller förbättrad hastighet på bekostnad av potentiell korrumpering vid oväntat avslut. I det ovanliga fall då detta inträffat kan det vara nödvändigt att köra om mandb med flaggan -c för att återskapa databaserna från grunden.

FLAGGOR

-d, --debug
    Skriver ut felsökningsinformation.

-q, --quiet
    Producera inte några varningar.

-s, --no-straycats
    Spendera inte tid på att söka efter eller lägga till information till databaserna om lösa cat-sidor.

-p, --no-purge
    Spendera inte tid på att leta efter borttagna manualsidor och rensa bort dem från databaserna.

-c, --create
    Som standard kommer mandb att försöka uppdatera tidigare skapade databaser. Om en databas inte existerar kommer den att skapas. Denna flagga tvingar mandb att ta bort tidigare databaser och återskapa dem från grunden och implicerar --no-purge. Detta kan vara nödvändigt om databasen blir korrumperad eller om ett nytt databaslagringssystem introduceras i framtiden.

-u, --user-db
    Skapa endast användardatabaser, även med skrivbehörigheter som behövs för att skapa systemdatabaser.

-t, --test
    Utför konsistenskontroller på manualsidor i hierarkisökvägen. Med denna flagga kommer mandb inte att förändra några existerande databaser.

-f, --filename
    Uppdatera bara posterna för det angivna filnamnet. Denna flagga är inte avsedd för allmänt bruk; den används internt av man när det har kompilerats med flaggan MAN_DB_UPDATES och hittar sidor som är föråldrade. Den implicerar -p och inaktiverar -c och -s.

-C fil, --config-file=fil
    Använd denna användarkonfigurationsfil snarare än standard ~/.manpath.

-?, --help
    Visa hjälptexten, avsluta sedan.

--usage
    Skriv ut ett kort användningsmeddelande och avsluta.

-V, --version
    Visa versionen, avsluta sedan.

SLUTSTATUS

0   Framgångsrik programexekvering.

1   Användnings-, syntax- eller konfigurationsfilsfel.

2   Funktionsfel.

3   En barnprocess misslyckades.

DIAGNOSTIK
Följande varningsmeddelanden kan matas ut under databasuppbyggnaden.

<filnamn>: whatis-tolkning för sida(sekt) misslyckades
    Ett försök att extrahera whatis-rader från det angivna filnamnet <filnamn> misslyckades. Detta sker vanligtvis på grund av en dåligt skriven manualsida, men om många sådana meddelanden matas ut är det troligt att systemet innehåller icke-standardiserade manualsidor som är inkompatibla med man-db:s whatis-tolk. Se avsnittet WHATIS-TOLKNING i lexgrog(1) för vidare information.

<filnamn>: är en lös symbolisk länk
    <filnamn> existerar inte men refereras till med en symbolisk länk. Vidare diagnostikmeddelanden matas vanligtvis ut för att identifiera namnet <filnamn> på den länk som är problematisk.

<filnamn>: felaktig symbolisk länk eller ROFF ”.so”-begäran
    <filnamn> är antingen en symbolisk länk till, eller innehåller en ROFF-inklusionsbegäran till, en icke existerande fil.

<filnamn>: ignorerar felaktigt filnamn
    Filnamnet <filnamn> kan vara en giltig manualsida men dess namn är ogiltigt. Detta sker vanligtvis för att en manualsida med avsnittsändelsen <x> lagts till i avsnitt <y> i en manualsida.

<filnamn_mask>: filändelser i konflikt
    Jokerteckensträngen <filnamn_mask> är inte unik. Detta sker vanligtvis för att det finns både komprimerade och okomprimerade versioner av samma manualsida. Alla, förutom de senaste, kommer att ignoreras.

FILER

/etc/man_db.conf
    man-db-konfigurationsfil.

/var/cache/man/index.(bt|db|dir|pag)
    En FHS-kompatibel global index-databascache.

Äldre platser för databascachen inkluderar:

/usr/man/index.(bt|db|dir|pag)
    En traditionell global index-databascache.

/var/catman/index.(bt|db|dir|pag)
    En alternativ eller FSSTND-kompatibel global index-databascache.

SE VIDARE
lexgrog(1), man(1), manpath(5), catman(8)

Avsnittet WHATIS-TOLKNING som tidigare fanns på denna manualsida finns nu i lexgrog(1).

UPPHOVSMAN
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).